### Method

# Gimp TextLayer set_language

since: 2.6

#### Declaration [src]

    gboolean
    gimp_text_layer_set_language (
      GimpTextLayer* layer,
      const gchar* language
    )

#### Description [src]

Set the language of the text layer.

This procedure sets the language of the text in text layer. For some scripts the language has an influence of how the text is rendered.

Available since: 2.6

#### Parameters

`language`

  Type: `const gchar*`

  The new language to use for the text layer.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.